System Requirements

Read on to learn about the system requirements for Lucidchart. Please note that we will not perform maintenance for operating systems or browsers that are no longer supported. You are welcome to use those systems; however, we recommend that you update to the most recent version for an optimal experience.

  • Mac: OS X Yosemite 10.10 or later
  • Windows: Windows 7, Windows 8, Windows 8.1, Windows 10 or later
  • Linux: 64-bit Ubuntu 14.04+, Debian 8+, openSUSE 13.3+, Fedora Linux 24+, or later
  • Chrome OS: We support the latest stable version of Chrome OS. 
  • iOS: iOS 11, iOS 12, or later
  • Android: Android 5.0 or later
    • Note: Android devices must be WebGL compatible. WebGL is the technology we use for rendering. You can check if WebGL is supported on your device by opening Chrome, navigating to chrome://gpu, and checking the "Reset notification strategy". 0x8252 is required for using WebGL. 

We support the three latest versions of the following web browsers:

Please note that this information does not apply to mobile web browsers. If you are on mobile, we recommend using our iOS or Android app.



Related Articles
Basic Troubleshooting
Contact Support
Revision History
Get Started with Lucidchart